import Course from "../view/Course";
import CourseDetail from "../view/CourseDetail";
import Subscribe from "../view/Subscribe";
import Topic from "../view/Topic";

export const routerList = [
  {
    path: "/",
    element: <Course />,
    name: "学习",
  },
  {
    path: "/topic",
    element: <Topic />,
    name: "讨论",
  },
  {
    path: "/subscribe",
    element: <Subscribe />,
    name: "订阅",
  },
  {
    path: "/course/detail/:id",
    element: <CourseDetail />,
    name: "课程详情",
    invisible: true,
  },
];
